본문 바로가기메인 메뉴 바로가기사이드 메뉴 바로가기

kakao developers

Related sites
  • Docs
  • Kakao Moment
  • Message management

사이드 메뉴

Search

This document describes how to use the Message management API.

MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/messages/coupons

Returns a list of coupons that you can set as a button for a Message creative.

NameDescriptionRequired
AuthorizationBusiness token as a type of user authentication.
Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}
O
NameTypeDescriptionRequired
profileIdLongKakao Talk Channel's profile ID.O
NameTypeDescription
-ChannelCoupon[]List of coupon information.
curl -X GET "https://apis.moment.kakao.com/openapi/v4/messages/coupons?profileId=${PROFILE_ID}" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}"
// HTTP/1.1 200 OK
// Content-Type: application/json;charset=UTF-8
[
{
"id": 12345,
"title": "First test coupon",
"content": "This is the first test coupon.",
"statusCode": "done",
"permalink": "http://xxx.kakao.com/_xxx/coupons/_xxx",
"entryImage": {
"type": "image",
"url": "http://xxx.kakao.com/img_xl.jpg",
"thumbnail": null,
"previewImage": null,
"playUrl": null,
"name": null
},
"createdAt": "2021-01-11T15:43:12"
},
{
"id": 12346,
"title": "Second test coupon",
"content": "This is the second test coupon.",
"statusCode": "done",
"permalink": "http://xxx.kakao.com/_xxx/coupons/_xxx",
"entryImage": {
"type": "image",
"url": "http://xxx.kakao.com/img_xl.jpg",
"thumbnail": null,
"previewImage": null,
"playUrl": null,
"name": null
},
"createdAt": "2021-01-11T15:43:12"
}
]
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/messages/coupons/${ID}

Returns the details of a coupon that you can set as a button for a Message creative.

NameDescriptionRequired
AuthorizationBusiness token as a type of user authentication.
Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}
O
NameTypeDescriptionRequired
IDLongCoupon ID.O
NameTypeDescriptionRequired
profileIdLongKakao Talk Channel's profile ID.O
NameTypeDescription
idLongCoupon ID.
titleStringCoupon Title.
contentStringCoupon content.
statusCodeStringCoupon status.
permalinkStringCoupon link.
entryImageEntryImageDetailed information about the image on the Coupon.
createdAtStringCreation time of the Coupon.
curl -X GET "https://apis.moment.kakao.com/openapi/v4/messages/coupons/${ID}?profileId=${PROFILE_ID}" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}"
// HTTP/1.1 200 OK
// Content-Type: application/json;charset=UTF-8
{
"id": 12345,
"title": "Test coupon",
"content": "Test",
"statusCode": "done",
"permalink": "http://xxx.kakao.com/xxx/coupons/xxx",
"entryImage": null,
"createdAt": "2021-02-26T16:12:31"
}
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/messages/adViews

Returns a list of Ad Views you can set as a button for a Message creative.

NameDescriptionRequired
AuthorizationBusiness token as a type of user authentication.
Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}
O
adAccountIdAd account's ID.
adAccountId: ${AD_ACCOUNT_ID}
O
NameTypeDescription
-AdView[]List of Ad Views.
curl -X GET "https://apis.moment.kakao.com/openapi/v4/messages/adViews" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}"
// HTTP/1.1 200 OK
// Content-Type: application/json;charset=UTF-8
[
{
"id": 1234,
"name": "Ad View1",
"type": "COMPACT",
"templateType": "IMAGE"
},
{
"id": 5678,
"name": "Ad View2",
"type": "COMPACT",
"templateType": "IMAGE"
}
]
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/messages/posts/${PROFILE_ID}

Returns a list of Kakao Talk Channel posts that you can set as a button for a Message creative.

NameDescriptionRequired
AuthorizationBusiness token as a type of user authentication.
Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}
O
adAccountIdAd account's ID.
adAccountId: ${AD_ACCOUNT_ID}
O
NameTypeDescriptionRequired
PROFILE_IDStringKakao Talk Channel's profile ID.O
NameTypeDescription
-ChannelPost[]List of posts uploaded in the requested Kakao Talk Channel.
curl -X GET "https://apis.moment.kakao.com/openapi/v4/messages/posts/${PROFILE_ID}" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}"
// HTTP/1.1 200 OK
// Content-Type: application/json;charset=UTF-8
[
{
"id": 1234,
"title": "Post",
"status": "published",
"permalink": "http://kakao.com/_xxxx/1",
"createdDate": "2021-01-01T00:00:00",
"publishedDate": "2021-01-01T00:00:00"
},
{
"id": 1235,
"title": "Post 2",
"status": "published",
"permalink": "http://kakao.com/_xxxx/2",
"createdDate": "2021-01-02T00:00:00",
"publishedDate": "2021-01-02T00:00:00"
}
]

Was this helpful?

    Kakao Moment > Message management - Kakao Developers | Docs